summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2005-08-07 04:33:45 +0000
committerMike Frysinger <vapier@gentoo.org>2005-08-07 04:33:45 +0000
commit9d4b9ddd29ccfa56f512b68b8c4558060bdbf7b8 (patch)
tree3e7d4c68a96630a195ba1d5a03bbf1125f2fc88d
parentbug 100444 , sanity check on cache cleansing. (diff)
downloadportage-cvs-9d4b9ddd29ccfa56f512b68b8c4558060bdbf7b8.tar.gz
portage-cvs-9d4b9ddd29ccfa56f512b68b8c4558060bdbf7b8.tar.bz2
portage-cvs-9d4b9ddd29ccfa56f512b68b8c4558060bdbf7b8.zip
add support for unpacking rar files
-rw-r--r--ChangeLog5
-rwxr-xr-xbin/ebuild.sh5
2 files changed, 8 insertions, 2 deletions
diff --git a/ChangeLog b/ChangeLog
index f843b92..fc58717 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,12 +1,15 @@
# ChangeLog for Portage; the Gentoo Linux ports system
# Copyright 1999-2005 Gentoo Foundation; Distributed under the GPL v2
-# $Id: ChangeLog,v 1.796.2.140 2005/08/05 04:15:00 ferringb Exp $
+# $Id: ChangeLog,v 1.796.2.141 2005/08/07 04:33:45 vapier Exp $
MAJOR CHANGES in 2.0.51:
1. /var/cache/edb/virtuals is no longer used at all. It's calculated now.
2. /var/cache/edb/world is now /var/lib/portage/world.
3. /etc/portage/profile/virtuals is _USER_ configs only.
+ 07 Aug 2005; Mike Frysinger <vapier@gentoo.org> bin/ebuild.sh:
+ Add support for unpacking rar archives.
+
04 Aug 2005; Brian Harring <ferringb@gentoo.org> bin/emerge:
bug 64585, sanity check on cache cleansing.
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index 1d0603a..bd26dfc 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /local/data/ulm/cvs/history/var/cvsroot/gentoo-src/portage/bin/ebuild.sh,v 1.201.2.38 2005/07/04 08:15:24 vapier Exp $
+# $Header: /local/data/ulm/cvs/history/var/cvsroot/gentoo-src/portage/bin/ebuild.sh,v 1.201.2.39 2005/08/07 04:33:45 vapier Exp $
export SANDBOX_PREDICT="${SANDBOX_PREDICT}:/proc/self/maps:/dev/console:/usr/lib/portage/pym:/dev/random"
export SANDBOX_WRITE="${SANDBOX_WRITE}:/dev/shm:${PORTAGE_TMPDIR}"
@@ -382,6 +382,9 @@ unpack() {
bzip2 -dc "${DISTDIR}/${x}" > ${x%.*} || die "$myfail"
fi
;;
+ RAR|rar)
+ unrar x -idq "${DISTDIR}/${x}" || die "$myfail"
+ ;;
*)
echo "unpack ${x}: file format not recognized. Ignoring."
;;